package models

import "github.com/mhaya/game/game_cluster/internal/data"

type DailyTaskBase struct {
	ID        int               `json:"id" bson:"id"`
	Type      int               `json:"type"`                 // 任务类型(1骰子次数相关任务)
	Condition int               `json:"condition"`            // 完成条件
	Reward    []data.ItemReward `json:"reward"`               // 奖励
	Num       int               `json:"num"`                  //进度
	Status    int               `json:"status" bson:"status"` //完成状态0未完成1已完成2已领取奖励
}

type DailyTask map[int]*DailyTaskBase

func NewDailyTask() map[int]*DailyTaskBase {
	return make(map[int]*DailyTaskBase)
}

func (dt DailyTask) RefreshDailyTask() {
	ret := data.DailyTaskConfig.GetAll()
	for _, d := range ret {
		dt[d.ID] = &DailyTaskBase{
			ID:        d.ID,
			Type:      d.Type,
			Condition: d.Condition,
			Reward:    d.Reward,
			Num:       0,
		}
	}
}
